<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite, 1 failed test</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-SuiteGroup">
              <span class="suite-name border-failed">SuiteGroup</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-SuiteGroup">
                    <span>E:\TestLeaf\GradleProject\Workspace\Selenium\testngGroup.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-SuiteGroup">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-SuiteGroup">
                    <span>1 group</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-SuiteGroup">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-SuiteGroup">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-SuiteGroup">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-SuiteGroup">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">1 method, 1 failed,   </span>
                  </li>
                  <li>
                    <span class="method-list-title failed">Failed methods</span>
                    <span class="show-or-hide-methods failed">
                      <a href="#" panel-name="suite-SuiteGroup" class="hide-methods failed suite-SuiteGroup"> (hide)</a> <!-- hide-methods failed suite-SuiteGroup -->
                      <a href="#" panel-name="suite-SuiteGroup" class="show-methods failed suite-SuiteGroup"> (show)</a> <!-- show-methods failed suite-SuiteGroup -->
                    </span>
                    <div class="method-list-content failed suite-SuiteGroup">
                      <span>
                        <img width="3%" src="failed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-SuiteGroup" title="testCasesTestngExecution.EditLead" hash-for-method="editLead">editLead</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content failed suite-SuiteGroup -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-SuiteGroup" class="panel SuiteGroup">
          <div class="suite-SuiteGroup-class-failed">
            <div class="main-panel-header rounded-window-top">
              <img src="failed.png"/>
              <span class="class-name">testCasesTestngExecution.EditLead</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="editLead">
                  </a> <!-- editLead -->
                  <span class="method-name">editLead</span>
                  <div class="stack-trace">org.testng.internal.reflect.MethodMatcherException: 
Data provider mismatch
Method: editLead([Parameter{index=0, type=java.lang.String, declaredAnnotations=[]}])
Arguments: [(java.lang.String) DemoSalesManager,(java.lang.String) crmsfa,(java.lang.String) HCL,(java.lang.String) HCL]
... Removed 20 stack frames
</div> <!-- stack-trace -->
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-SuiteGroup-class-failed -->
        </div> <!-- panel SuiteGroup -->
        <div panel-name="test-xml-SuiteGroup" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">E:\TestLeaf\GradleProject\Workspace\Selenium\testngGroup.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite guice-stage=&quot;DEVELOPMENT&quot; name=&quot;SuiteGroup&quot;&gt;
  &lt;parameter name=&quot;password&quot; value=&quot;crmsfa&quot;/&gt;
  &lt;parameter name=&quot;url&quot; value=&quot;http://leaftaps.com/opentaps/control/main&quot;/&gt;
  &lt;parameter name=&quot;username&quot; value=&quot;DemoSalesManager&quot;/&gt;
  &lt;groups&gt;
    &lt;run&gt;
      &lt;include name=&quot;sanity&quot;/&gt;
      &lt;include name=&quot;smoke&quot;/&gt;
      &lt;include name=&quot;common&quot;/&gt;
    &lt;/run&gt;
  &lt;/groups&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;TestChrome&quot;&gt;
    &lt;parameter name=&quot;browser&quot; value=&quot;chrome&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;testCasesTestngExecution.EditLead&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- TestChrome --&gt;
&lt;/suite&gt; &lt;!-- SuiteGroup --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-SuiteGroup" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for SuiteGroup</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">TestChrome (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-SuiteGroup" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for SuiteGroup</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="test-group">
              <span class="test-group-name">sanity</span>
              <br/>
              <div class="method-in-group">
                <span class="method-in-group-name">editLead</span>
                <br/>
              </div> <!-- method-in-group -->
            </div> <!-- test-group -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-SuiteGroup" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for SuiteGroup</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_SuiteGroup');
function tableData_SuiteGroup() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(1);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'editLead')
data.setCell(0, 2, 'testCasesTestngExecution.EditLead')
data.setCell(0, 3, 1744);
window.suiteTableData['SuiteGroup']= { tableData: data, tableDiv: 'times-div-SuiteGroup'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 1 seconds</span>
              <div id="times-div-SuiteGroup">
              </div> <!-- times-div-SuiteGroup -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-SuiteGroup" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for SuiteGroup</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-SuiteGroup" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-SuiteGroup" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">testCasesTestngExecution.EditLead</div> <!-- chronological-class-name -->
              <div class="configuration-suite before">
                <span class="method-name">beforeSuite</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-suite before -->
              <div class="configuration-test before">
                <span class="method-name">setValues</span>
                <span class="method-start">1425 ms</span>
              </div> <!-- configuration-test before -->
              <div class="configuration-class before">
                <span class="method-name">beforeClass</span>
                <span class="method-start">1477 ms</span>
              </div> <!-- configuration-class before -->
              <div class="configuration-suite after">
                <span class="method-name">afterSuite</span>
                <span class="method-start">3791 ms</span>
              </div> <!-- configuration-suite after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
